//
//Copyright 2023 Google LLC
//
//Licensed under the Apache License, Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
//https://www.apache.org/licenses/LICENSE-2.0
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v3.6.1
// source: wlmvalidation/wlmvalidation.proto

package wlmvalidation

import (
	configurablemetrics "github.com/GoogleCloudPlatform/sapagent/protos/configurablemetrics"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SystemVariable int32

const (
	SystemVariable_SYSTEM_VARIABLE_UNSPECIFIED SystemVariable = 0
	SystemVariable_INSTANCE_NAME               SystemVariable = 1
	SystemVariable_OS_NAME_VERSION             SystemVariable = 2
	SystemVariable_AGENT_NAME                  SystemVariable = 3
	SystemVariable_AGENT_VERSION               SystemVariable = 4
	SystemVariable_NETWORK_IPS                 SystemVariable = 5
)

// Enum value maps for SystemVariable.
var (
	SystemVariable_name = map[int32]string{
		0: "SYSTEM_VARIABLE_UNSPECIFIED",
		1: "INSTANCE_NAME",
		2: "OS_NAME_VERSION",
		3: "AGENT_NAME",
		4: "AGENT_VERSION",
		5: "NETWORK_IPS",
	}
	SystemVariable_value = map[string]int32{
		"SYSTEM_VARIABLE_UNSPECIFIED": 0,
		"INSTANCE_NAME":               1,
		"OS_NAME_VERSION":             2,
		"AGENT_NAME":                  3,
		"AGENT_VERSION":               4,
		"NETWORK_IPS":                 5,
	}
)

func (x SystemVariable) Enum() *SystemVariable {
	p := new(SystemVariable)
	*p = x
	return p
}

func (x SystemVariable) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SystemVariable) Descriptor() protoreflect.EnumDescriptor {
	return file_wlmvalidation_wlmvalidation_proto_enumTypes[0].Descriptor()
}

func (SystemVariable) Type() protoreflect.EnumType {
	return &file_wlmvalidation_wlmvalidation_proto_enumTypes[0]
}

func (x SystemVariable) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use SystemVariable.Descriptor instead.
func (SystemVariable) EnumDescriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{0}
}

type DiskVariable int32

const (
	DiskVariable_DISK_VARIABLE_UNSPECIFIED DiskVariable = 0
	DiskVariable_TYPE                      DiskVariable = 1
	DiskVariable_MOUNT                     DiskVariable = 2
	DiskVariable_SIZE                      DiskVariable = 3
	DiskVariable_PD_SIZE                   DiskVariable = 4
)

// Enum value maps for DiskVariable.
var (
	DiskVariable_name = map[int32]string{
		0: "DISK_VARIABLE_UNSPECIFIED",
		1: "TYPE",
		2: "MOUNT",
		3: "SIZE",
		4: "PD_SIZE",
	}
	DiskVariable_value = map[string]int32{
		"DISK_VARIABLE_UNSPECIFIED": 0,
		"TYPE":                      1,
		"MOUNT":                     2,
		"SIZE":                      3,
		"PD_SIZE":                   4,
	}
)

func (x DiskVariable) Enum() *DiskVariable {
	p := new(DiskVariable)
	*p = x
	return p
}

func (x DiskVariable) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DiskVariable) Descriptor() protoreflect.EnumDescriptor {
	return file_wlmvalidation_wlmvalidation_proto_enumTypes[1].Descriptor()
}

func (DiskVariable) Type() protoreflect.EnumType {
	return &file_wlmvalidation_wlmvalidation_proto_enumTypes[1]
}

func (x DiskVariable) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DiskVariable.Descriptor instead.
func (DiskVariable) EnumDescriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{1}
}

type PrimitiveVariable int32

const (
	PrimitiveVariable_PRIMITIVE_VARIABLE_UNSPECIFIED PrimitiveVariable = 0
	PrimitiveVariable_PCMK_DELAY_BASE                PrimitiveVariable = 1
	PrimitiveVariable_PCMK_DELAY_MAX                 PrimitiveVariable = 2
	PrimitiveVariable_PCMK_MONITOR_RETRIES           PrimitiveVariable = 3
	PrimitiveVariable_PCMK_REBOOT_TIMEOUT            PrimitiveVariable = 4
)

// Enum value maps for PrimitiveVariable.
var (
	PrimitiveVariable_name = map[int32]string{
		0: "PRIMITIVE_VARIABLE_UNSPECIFIED",
		1: "PCMK_DELAY_BASE",
		2: "PCMK_DELAY_MAX",
		3: "PCMK_MONITOR_RETRIES",
		4: "PCMK_REBOOT_TIMEOUT",
	}
	PrimitiveVariable_value = map[string]int32{
		"PRIMITIVE_VARIABLE_UNSPECIFIED": 0,
		"PCMK_DELAY_BASE":                1,
		"PCMK_DELAY_MAX":                 2,
		"PCMK_MONITOR_RETRIES":           3,
		"PCMK_REBOOT_TIMEOUT":            4,
	}
)

func (x PrimitiveVariable) Enum() *PrimitiveVariable {
	p := new(PrimitiveVariable)
	*p = x
	return p
}

func (x PrimitiveVariable) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (PrimitiveVariable) Descriptor() protoreflect.EnumDescriptor {
	return file_wlmvalidation_wlmvalidation_proto_enumTypes[2].Descriptor()
}

func (PrimitiveVariable) Type() protoreflect.EnumType {
	return &file_wlmvalidation_wlmvalidation_proto_enumTypes[2]
}

func (x PrimitiveVariable) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use PrimitiveVariable.Descriptor instead.
func (PrimitiveVariable) EnumDescriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{2}
}

type RSCLocationVariable int32

const (
	RSCLocationVariable_RSC_LOCATION_VARIABLE_UNSPECIFIED RSCLocationVariable = 0
	RSCLocationVariable_LOCATION_PREFERENCE_SET           RSCLocationVariable = 1
)

// Enum value maps for RSCLocationVariable.
var (
	RSCLocationVariable_name = map[int32]string{
		0: "RSC_LOCATION_VARIABLE_UNSPECIFIED",
		1: "LOCATION_PREFERENCE_SET",
	}
	RSCLocationVariable_value = map[string]int32{
		"RSC_LOCATION_VARIABLE_UNSPECIFIED": 0,
		"LOCATION_PREFERENCE_SET":           1,
	}
)

func (x RSCLocationVariable) Enum() *RSCLocationVariable {
	p := new(RSCLocationVariable)
	*p = x
	return p
}

func (x RSCLocationVariable) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (RSCLocationVariable) Descriptor() protoreflect.EnumDescriptor {
	return file_wlmvalidation_wlmvalidation_proto_enumTypes[3].Descriptor()
}

func (RSCLocationVariable) Type() protoreflect.EnumType {
	return &file_wlmvalidation_wlmvalidation_proto_enumTypes[3]
}

func (x RSCLocationVariable) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use RSCLocationVariable.Descriptor instead.
func (RSCLocationVariable) EnumDescriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{3}
}

type RSCOptionVariable int32

const (
	RSCOptionVariable_RSC_OPTION_VARIABLE_UNSPECIFIED RSCOptionVariable = 0
	RSCOptionVariable_MIGRATION_THRESHOLD             RSCOptionVariable = 1
	RSCOptionVariable_RESOURCE_STICKINESS             RSCOptionVariable = 2
)

// Enum value maps for RSCOptionVariable.
var (
	RSCOptionVariable_name = map[int32]string{
		0: "RSC_OPTION_VARIABLE_UNSPECIFIED",
		1: "MIGRATION_THRESHOLD",
		2: "RESOURCE_STICKINESS",
	}
	RSCOptionVariable_value = map[string]int32{
		"RSC_OPTION_VARIABLE_UNSPECIFIED": 0,
		"MIGRATION_THRESHOLD":             1,
		"RESOURCE_STICKINESS":             2,
	}
)

func (x RSCOptionVariable) Enum() *RSCOptionVariable {
	p := new(RSCOptionVariable)
	*p = x
	return p
}

func (x RSCOptionVariable) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (RSCOptionVariable) Descriptor() protoreflect.EnumDescriptor {
	return file_wlmvalidation_wlmvalidation_proto_enumTypes[4].Descriptor()
}

func (RSCOptionVariable) Type() protoreflect.EnumType {
	return &file_wlmvalidation_wlmvalidation_proto_enumTypes[4]
}

func (x RSCOptionVariable) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use RSCOptionVariable.Descriptor instead.
func (RSCOptionVariable) EnumDescriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{4}
}

type HANAOperationVariable int32

const (
	HANAOperationVariable_HANA_OPERATION_VARIABLE_UNSPECIFIED HANAOperationVariable = 0
	HANAOperationVariable_SAPHANA_START_TIMEOUT               HANAOperationVariable = 1
	HANAOperationVariable_SAPHANA_STOP_TIMEOUT                HANAOperationVariable = 2
	HANAOperationVariable_SAPHANA_PROMOTE_TIMEOUT             HANAOperationVariable = 3
	HANAOperationVariable_SAPHANA_DEMOTE_TIMEOUT              HANAOperationVariable = 4
)

// Enum value maps for HANAOperationVariable.
var (
	HANAOperationVariable_name = map[int32]string{
		0: "HANA_OPERATION_VARIABLE_UNSPECIFIED",
		1: "SAPHANA_START_TIMEOUT",
		2: "SAPHANA_STOP_TIMEOUT",
		3: "SAPHANA_PROMOTE_TIMEOUT",
		4: "SAPHANA_DEMOTE_TIMEOUT",
	}
	HANAOperationVariable_value = map[string]int32{
		"HANA_OPERATION_VARIABLE_UNSPECIFIED": 0,
		"SAPHANA_START_TIMEOUT":               1,
		"SAPHANA_STOP_TIMEOUT":                2,
		"SAPHANA_PROMOTE_TIMEOUT":             3,
		"SAPHANA_DEMOTE_TIMEOUT":              4,
	}
)

func (x HANAOperationVariable) Enum() *HANAOperationVariable {
	p := new(HANAOperationVariable)
	*p = x
	return p
}

func (x HANAOperationVariable) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (HANAOperationVariable) Descriptor() protoreflect.EnumDescriptor {
	return file_wlmvalidation_wlmvalidation_proto_enumTypes[5].Descriptor()
}

func (HANAOperationVariable) Type() protoreflect.EnumType {
	return &file_wlmvalidation_wlmvalidation_proto_enumTypes[5]
}

func (x HANAOperationVariable) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use HANAOperationVariable.Descriptor instead.
func (HANAOperationVariable) EnumDescriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{5}
}

type FenceAgentVariable int32

const (
	FenceAgentVariable_FENCE_AGENT_VARIABLE_UNSPECIFIED FenceAgentVariable = 0
	FenceAgentVariable_FENCE_AGENT                      FenceAgentVariable = 1
	FenceAgentVariable_COMPUTE_API_ACCESS               FenceAgentVariable = 2
	FenceAgentVariable_LOGGING_API_ACCESS               FenceAgentVariable = 3
)

// Enum value maps for FenceAgentVariable.
var (
	FenceAgentVariable_name = map[int32]string{
		0: "FENCE_AGENT_VARIABLE_UNSPECIFIED",
		1: "FENCE_AGENT",
		2: "COMPUTE_API_ACCESS",
		3: "LOGGING_API_ACCESS",
	}
	FenceAgentVariable_value = map[string]int32{
		"FENCE_AGENT_VARIABLE_UNSPECIFIED": 0,
		"FENCE_AGENT":                      1,
		"COMPUTE_API_ACCESS":               2,
		"LOGGING_API_ACCESS":               3,
	}
)

func (x FenceAgentVariable) Enum() *FenceAgentVariable {
	p := new(FenceAgentVariable)
	*p = x
	return p
}

func (x FenceAgentVariable) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (FenceAgentVariable) Descriptor() protoreflect.EnumDescriptor {
	return file_wlmvalidation_wlmvalidation_proto_enumTypes[6].Descriptor()
}

func (FenceAgentVariable) Type() protoreflect.EnumType {
	return &file_wlmvalidation_wlmvalidation_proto_enumTypes[6]
}

func (x FenceAgentVariable) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use FenceAgentVariable.Descriptor instead.
func (FenceAgentVariable) EnumDescriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{6}
}

type CIBBootstrapOptionVariable int32

const (
	CIBBootstrapOptionVariable_CIB_BOOTSTRAP_OPTION_VARIABLE_UNSPECIFIED CIBBootstrapOptionVariable = 0
	CIBBootstrapOptionVariable_MAINTENANCE_MODE_ACTIVE                   CIBBootstrapOptionVariable = 1
)

// Enum value maps for CIBBootstrapOptionVariable.
var (
	CIBBootstrapOptionVariable_name = map[int32]string{
		0: "CIB_BOOTSTRAP_OPTION_VARIABLE_UNSPECIFIED",
		1: "MAINTENANCE_MODE_ACTIVE",
	}
	CIBBootstrapOptionVariable_value = map[string]int32{
		"CIB_BOOTSTRAP_OPTION_VARIABLE_UNSPECIFIED": 0,
		"MAINTENANCE_MODE_ACTIVE":                   1,
	}
)

func (x CIBBootstrapOptionVariable) Enum() *CIBBootstrapOptionVariable {
	p := new(CIBBootstrapOptionVariable)
	*p = x
	return p
}

func (x CIBBootstrapOptionVariable) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (CIBBootstrapOptionVariable) Descriptor() protoreflect.EnumDescriptor {
	return file_wlmvalidation_wlmvalidation_proto_enumTypes[7].Descriptor()
}

func (CIBBootstrapOptionVariable) Type() protoreflect.EnumType {
	return &file_wlmvalidation_wlmvalidation_proto_enumTypes[7]
}

func (x CIBBootstrapOptionVariable) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use CIBBootstrapOptionVariable.Descriptor instead.
func (CIBBootstrapOptionVariable) EnumDescriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{7}
}

type WorkloadValidation struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ValidationSystem    *ValidationSystem    `protobuf:"bytes,1,opt,name=validation_system,json=validationSystem,proto3" json:"validation_system,omitempty"`
	ValidationCorosync  *ValidationCorosync  `protobuf:"bytes,2,opt,name=validation_corosync,json=validationCorosync,proto3" json:"validation_corosync,omitempty"`
	ValidationHana      *ValidationHANA      `protobuf:"bytes,3,opt,name=validation_hana,json=validationHana,proto3" json:"validation_hana,omitempty"`
	ValidationNetweaver *ValidationNetweaver `protobuf:"bytes,4,opt,name=validation_netweaver,json=validationNetweaver,proto3" json:"validation_netweaver,omitempty"`
	ValidationPacemaker *ValidationPacemaker `protobuf:"bytes,5,opt,name=validation_pacemaker,json=validationPacemaker,proto3" json:"validation_pacemaker,omitempty"`
	ValidationCustom    *ValidationCustom    `protobuf:"bytes,6,opt,name=validation_custom,json=validationCustom,proto3" json:"validation_custom,omitempty"`
}

func (x *WorkloadValidation) Reset() {
	*x = WorkloadValidation{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WorkloadValidation) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WorkloadValidation) ProtoMessage() {}

func (x *WorkloadValidation) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WorkloadValidation.ProtoReflect.Descriptor instead.
func (*WorkloadValidation) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{0}
}

func (x *WorkloadValidation) GetValidationSystem() *ValidationSystem {
	if x != nil {
		return x.ValidationSystem
	}
	return nil
}

func (x *WorkloadValidation) GetValidationCorosync() *ValidationCorosync {
	if x != nil {
		return x.ValidationCorosync
	}
	return nil
}

func (x *WorkloadValidation) GetValidationHana() *ValidationHANA {
	if x != nil {
		return x.ValidationHana
	}
	return nil
}

func (x *WorkloadValidation) GetValidationNetweaver() *ValidationNetweaver {
	if x != nil {
		return x.ValidationNetweaver
	}
	return nil
}

func (x *WorkloadValidation) GetValidationPacemaker() *ValidationPacemaker {
	if x != nil {
		return x.ValidationPacemaker
	}
	return nil
}

func (x *WorkloadValidation) GetValidationCustom() *ValidationCustom {
	if x != nil {
		return x.ValidationCustom
	}
	return nil
}

type ValidationSystem struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SystemMetrics    []*SystemMetric                        `protobuf:"bytes,1,rep,name=system_metrics,json=systemMetrics,proto3" json:"system_metrics,omitempty"`
	OsCommandMetrics []*configurablemetrics.OSCommandMetric `protobuf:"bytes,2,rep,name=os_command_metrics,json=osCommandMetrics,proto3" json:"os_command_metrics,omitempty"`
}

func (x *ValidationSystem) Reset() {
	*x = ValidationSystem{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ValidationSystem) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ValidationSystem) ProtoMessage() {}

func (x *ValidationSystem) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ValidationSystem.ProtoReflect.Descriptor instead.
func (*ValidationSystem) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{1}
}

func (x *ValidationSystem) GetSystemMetrics() []*SystemMetric {
	if x != nil {
		return x.SystemMetrics
	}
	return nil
}

func (x *ValidationSystem) GetOsCommandMetrics() []*configurablemetrics.OSCommandMetric {
	if x != nil {
		return x.OsCommandMetrics
	}
	return nil
}

type SystemMetric struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MetricInfo *configurablemetrics.MetricInfo `protobuf:"bytes,1,opt,name=metric_info,json=metricInfo,proto3" json:"metric_info,omitempty"`
	Value      SystemVariable                  `protobuf:"varint,2,opt,name=value,proto3,enum=cloud.partners.sap.gcagent.protos.wlmvalidation.SystemVariable" json:"value,omitempty"`
}

func (x *SystemMetric) Reset() {
	*x = SystemMetric{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SystemMetric) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SystemMetric) ProtoMessage() {}

func (x *SystemMetric) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SystemMetric.ProtoReflect.Descriptor instead.
func (*SystemMetric) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{2}
}

func (x *SystemMetric) GetMetricInfo() *configurablemetrics.MetricInfo {
	if x != nil {
		return x.MetricInfo
	}
	return nil
}

func (x *SystemMetric) GetValue() SystemVariable {
	if x != nil {
		return x.Value
	}
	return SystemVariable_SYSTEM_VARIABLE_UNSPECIFIED
}

type ValidationCorosync struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ConfigPath       string                                 `protobuf:"bytes,1,opt,name=config_path,json=configPath,proto3" json:"config_path,omitempty"`
	ConfigMetrics    []*configurablemetrics.EvalMetric      `protobuf:"bytes,2,rep,name=config_metrics,json=configMetrics,proto3" json:"config_metrics,omitempty"`
	OsCommandMetrics []*configurablemetrics.OSCommandMetric `protobuf:"bytes,3,rep,name=os_command_metrics,json=osCommandMetrics,proto3" json:"os_command_metrics,omitempty"`
}

func (x *ValidationCorosync) Reset() {
	*x = ValidationCorosync{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ValidationCorosync) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ValidationCorosync) ProtoMessage() {}

func (x *ValidationCorosync) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ValidationCorosync.ProtoReflect.Descriptor instead.
func (*ValidationCorosync) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{3}
}

func (x *ValidationCorosync) GetConfigPath() string {
	if x != nil {
		return x.ConfigPath
	}
	return ""
}

func (x *ValidationCorosync) GetConfigMetrics() []*configurablemetrics.EvalMetric {
	if x != nil {
		return x.ConfigMetrics
	}
	return nil
}

func (x *ValidationCorosync) GetOsCommandMetrics() []*configurablemetrics.OSCommandMetric {
	if x != nil {
		return x.OsCommandMetrics
	}
	return nil
}

type ValidationHANA struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	GlobalIniMetrics      []*configurablemetrics.EvalMetric      `protobuf:"bytes,1,rep,name=global_ini_metrics,json=globalIniMetrics,proto3" json:"global_ini_metrics,omitempty"`
	HanaDiskVolumeMetrics []*HANADiskVolumeMetric                `protobuf:"bytes,2,rep,name=hana_disk_volume_metrics,json=hanaDiskVolumeMetrics,proto3" json:"hana_disk_volume_metrics,omitempty"`
	OsCommandMetrics      []*configurablemetrics.OSCommandMetric `protobuf:"bytes,3,rep,name=os_command_metrics,json=osCommandMetrics,proto3" json:"os_command_metrics,omitempty"`
}

func (x *ValidationHANA) Reset() {
	*x = ValidationHANA{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ValidationHANA) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ValidationHANA) ProtoMessage() {}

func (x *ValidationHANA) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ValidationHANA.ProtoReflect.Descriptor instead.
func (*ValidationHANA) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{4}
}

func (x *ValidationHANA) GetGlobalIniMetrics() []*configurablemetrics.EvalMetric {
	if x != nil {
		return x.GlobalIniMetrics
	}
	return nil
}

func (x *ValidationHANA) GetHanaDiskVolumeMetrics() []*HANADiskVolumeMetric {
	if x != nil {
		return x.HanaDiskVolumeMetrics
	}
	return nil
}

func (x *ValidationHANA) GetOsCommandMetrics() []*configurablemetrics.OSCommandMetric {
	if x != nil {
		return x.OsCommandMetrics
	}
	return nil
}

type HANADiskVolumeMetric struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	BasepathVolume string            `protobuf:"bytes,1,opt,name=basepath_volume,json=basepathVolume,proto3" json:"basepath_volume,omitempty"`
	Metrics        []*HANADiskMetric `protobuf:"bytes,2,rep,name=metrics,proto3" json:"metrics,omitempty"`
}

func (x *HANADiskVolumeMetric) Reset() {
	*x = HANADiskVolumeMetric{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HANADiskVolumeMetric) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HANADiskVolumeMetric) ProtoMessage() {}

func (x *HANADiskVolumeMetric) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HANADiskVolumeMetric.ProtoReflect.Descriptor instead.
func (*HANADiskVolumeMetric) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{5}
}

func (x *HANADiskVolumeMetric) GetBasepathVolume() string {
	if x != nil {
		return x.BasepathVolume
	}
	return ""
}

func (x *HANADiskVolumeMetric) GetMetrics() []*HANADiskMetric {
	if x != nil {
		return x.Metrics
	}
	return nil
}

type HANADiskMetric struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MetricInfo *configurablemetrics.MetricInfo `protobuf:"bytes,1,opt,name=metric_info,json=metricInfo,proto3" json:"metric_info,omitempty"`
	Value      DiskVariable                    `protobuf:"varint,2,opt,name=value,proto3,enum=cloud.partners.sap.gcagent.protos.wlmvalidation.DiskVariable" json:"value,omitempty"`
}

func (x *HANADiskMetric) Reset() {
	*x = HANADiskMetric{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HANADiskMetric) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HANADiskMetric) ProtoMessage() {}

func (x *HANADiskMetric) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HANADiskMetric.ProtoReflect.Descriptor instead.
func (*HANADiskMetric) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{6}
}

func (x *HANADiskMetric) GetMetricInfo() *configurablemetrics.MetricInfo {
	if x != nil {
		return x.MetricInfo
	}
	return nil
}

func (x *HANADiskMetric) GetValue() DiskVariable {
	if x != nil {
		return x.Value
	}
	return DiskVariable_DISK_VARIABLE_UNSPECIFIED
}

type ValidationNetweaver struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	OsCommandMetrics []*configurablemetrics.OSCommandMetric `protobuf:"bytes,1,rep,name=os_command_metrics,json=osCommandMetrics,proto3" json:"os_command_metrics,omitempty"`
}

func (x *ValidationNetweaver) Reset() {
	*x = ValidationNetweaver{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ValidationNetweaver) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ValidationNetweaver) ProtoMessage() {}

func (x *ValidationNetweaver) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ValidationNetweaver.ProtoReflect.Descriptor instead.
func (*ValidationNetweaver) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{7}
}

func (x *ValidationNetweaver) GetOsCommandMetrics() []*configurablemetrics.OSCommandMetric {
	if x != nil {
		return x.OsCommandMetrics
	}
	return nil
}

type ValidationPacemaker struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ConfigMetrics             *PacemakerConfigMetrics                `protobuf:"bytes,1,opt,name=config_metrics,json=configMetrics,proto3" json:"config_metrics,omitempty"`
	CibBootstrapOptionMetrics []*CIBBootstrapOptionMetric            `protobuf:"bytes,2,rep,name=cib_bootstrap_option_metrics,json=cibBootstrapOptionMetrics,proto3" json:"cib_bootstrap_option_metrics,omitempty"`
	OsCommandMetrics          []*configurablemetrics.OSCommandMetric `protobuf:"bytes,3,rep,name=os_command_metrics,json=osCommandMetrics,proto3" json:"os_command_metrics,omitempty"`
}

func (x *ValidationPacemaker) Reset() {
	*x = ValidationPacemaker{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ValidationPacemaker) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ValidationPacemaker) ProtoMessage() {}

func (x *ValidationPacemaker) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ValidationPacemaker.ProtoReflect.Descriptor instead.
func (*ValidationPacemaker) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{8}
}

func (x *ValidationPacemaker) GetConfigMetrics() *PacemakerConfigMetrics {
	if x != nil {
		return x.ConfigMetrics
	}
	return nil
}

func (x *ValidationPacemaker) GetCibBootstrapOptionMetrics() []*CIBBootstrapOptionMetric {
	if x != nil {
		return x.CibBootstrapOptionMetrics
	}
	return nil
}

func (x *ValidationPacemaker) GetOsCommandMetrics() []*configurablemetrics.OSCommandMetric {
	if x != nil {
		return x.OsCommandMetrics
	}
	return nil
}

type PacemakerConfigMetrics struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PrimitiveMetrics     []*PacemakerPrimitiveMetric     `protobuf:"bytes,1,rep,name=primitive_metrics,json=primitiveMetrics,proto3" json:"primitive_metrics,omitempty"`
	RscLocationMetrics   []*PacemakerRSCLocationMetric   `protobuf:"bytes,2,rep,name=rsc_location_metrics,json=rscLocationMetrics,proto3" json:"rsc_location_metrics,omitempty"`
	RscOptionMetrics     []*PacemakerRSCOptionMetric     `protobuf:"bytes,3,rep,name=rsc_option_metrics,json=rscOptionMetrics,proto3" json:"rsc_option_metrics,omitempty"`
	HanaOperationMetrics []*PacemakerHANAOperationMetric `protobuf:"bytes,4,rep,name=hana_operation_metrics,json=hanaOperationMetrics,proto3" json:"hana_operation_metrics,omitempty"`
	FenceAgentMetrics    []*PacemakerFenceAgentMetric    `protobuf:"bytes,5,rep,name=fence_agent_metrics,json=fenceAgentMetrics,proto3" json:"fence_agent_metrics,omitempty"`
}

func (x *PacemakerConfigMetrics) Reset() {
	*x = PacemakerConfigMetrics{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PacemakerConfigMetrics) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PacemakerConfigMetrics) ProtoMessage() {}

func (x *PacemakerConfigMetrics) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PacemakerConfigMetrics.ProtoReflect.Descriptor instead.
func (*PacemakerConfigMetrics) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{9}
}

func (x *PacemakerConfigMetrics) GetPrimitiveMetrics() []*PacemakerPrimitiveMetric {
	if x != nil {
		return x.PrimitiveMetrics
	}
	return nil
}

func (x *PacemakerConfigMetrics) GetRscLocationMetrics() []*PacemakerRSCLocationMetric {
	if x != nil {
		return x.RscLocationMetrics
	}
	return nil
}

func (x *PacemakerConfigMetrics) GetRscOptionMetrics() []*PacemakerRSCOptionMetric {
	if x != nil {
		return x.RscOptionMetrics
	}
	return nil
}

func (x *PacemakerConfigMetrics) GetHanaOperationMetrics() []*PacemakerHANAOperationMetric {
	if x != nil {
		return x.HanaOperationMetrics
	}
	return nil
}

func (x *PacemakerConfigMetrics) GetFenceAgentMetrics() []*PacemakerFenceAgentMetric {
	if x != nil {
		return x.FenceAgentMetrics
	}
	return nil
}

type PacemakerPrimitiveMetric struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MetricInfo *configurablemetrics.MetricInfo `protobuf:"bytes,1,opt,name=metric_info,json=metricInfo,proto3" json:"metric_info,omitempty"`
	Value      PrimitiveVariable               `protobuf:"varint,2,opt,name=value,proto3,enum=cloud.partners.sap.gcagent.protos.wlmvalidation.PrimitiveVariable" json:"value,omitempty"`
}

func (x *PacemakerPrimitiveMetric) Reset() {
	*x = PacemakerPrimitiveMetric{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PacemakerPrimitiveMetric) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PacemakerPrimitiveMetric) ProtoMessage() {}

func (x *PacemakerPrimitiveMetric) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PacemakerPrimitiveMetric.ProtoReflect.Descriptor instead.
func (*PacemakerPrimitiveMetric) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{10}
}

func (x *PacemakerPrimitiveMetric) GetMetricInfo() *configurablemetrics.MetricInfo {
	if x != nil {
		return x.MetricInfo
	}
	return nil
}

func (x *PacemakerPrimitiveMetric) GetValue() PrimitiveVariable {
	if x != nil {
		return x.Value
	}
	return PrimitiveVariable_PRIMITIVE_VARIABLE_UNSPECIFIED
}

type PacemakerRSCLocationMetric struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MetricInfo *configurablemetrics.MetricInfo `protobuf:"bytes,1,opt,name=metric_info,json=metricInfo,proto3" json:"metric_info,omitempty"`
	Value      RSCLocationVariable             `protobuf:"varint,2,opt,name=value,proto3,enum=cloud.partners.sap.gcagent.protos.wlmvalidation.RSCLocationVariable" json:"value,omitempty"`
}

func (x *PacemakerRSCLocationMetric) Reset() {
	*x = PacemakerRSCLocationMetric{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PacemakerRSCLocationMetric) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PacemakerRSCLocationMetric) ProtoMessage() {}

func (x *PacemakerRSCLocationMetric) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PacemakerRSCLocationMetric.ProtoReflect.Descriptor instead.
func (*PacemakerRSCLocationMetric) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{11}
}

func (x *PacemakerRSCLocationMetric) GetMetricInfo() *configurablemetrics.MetricInfo {
	if x != nil {
		return x.MetricInfo
	}
	return nil
}

func (x *PacemakerRSCLocationMetric) GetValue() RSCLocationVariable {
	if x != nil {
		return x.Value
	}
	return RSCLocationVariable_RSC_LOCATION_VARIABLE_UNSPECIFIED
}

type PacemakerRSCOptionMetric struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MetricInfo *configurablemetrics.MetricInfo `protobuf:"bytes,1,opt,name=metric_info,json=metricInfo,proto3" json:"metric_info,omitempty"`
	Value      RSCOptionVariable               `protobuf:"varint,2,opt,name=value,proto3,enum=cloud.partners.sap.gcagent.protos.wlmvalidation.RSCOptionVariable" json:"value,omitempty"`
}

func (x *PacemakerRSCOptionMetric) Reset() {
	*x = PacemakerRSCOptionMetric{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PacemakerRSCOptionMetric) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PacemakerRSCOptionMetric) ProtoMessage() {}

func (x *PacemakerRSCOptionMetric) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PacemakerRSCOptionMetric.ProtoReflect.Descriptor instead.
func (*PacemakerRSCOptionMetric) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{12}
}

func (x *PacemakerRSCOptionMetric) GetMetricInfo() *configurablemetrics.MetricInfo {
	if x != nil {
		return x.MetricInfo
	}
	return nil
}

func (x *PacemakerRSCOptionMetric) GetValue() RSCOptionVariable {
	if x != nil {
		return x.Value
	}
	return RSCOptionVariable_RSC_OPTION_VARIABLE_UNSPECIFIED
}

type PacemakerHANAOperationMetric struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MetricInfo *configurablemetrics.MetricInfo `protobuf:"bytes,1,opt,name=metric_info,json=metricInfo,proto3" json:"metric_info,omitempty"`
	Value      HANAOperationVariable           `protobuf:"varint,2,opt,name=value,proto3,enum=cloud.partners.sap.gcagent.protos.wlmvalidation.HANAOperationVariable" json:"value,omitempty"`
}

func (x *PacemakerHANAOperationMetric) Reset() {
	*x = PacemakerHANAOperationMetric{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PacemakerHANAOperationMetric) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PacemakerHANAOperationMetric) ProtoMessage() {}

func (x *PacemakerHANAOperationMetric) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PacemakerHANAOperationMetric.ProtoReflect.Descriptor instead.
func (*PacemakerHANAOperationMetric) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{13}
}

func (x *PacemakerHANAOperationMetric) GetMetricInfo() *configurablemetrics.MetricInfo {
	if x != nil {
		return x.MetricInfo
	}
	return nil
}

func (x *PacemakerHANAOperationMetric) GetValue() HANAOperationVariable {
	if x != nil {
		return x.Value
	}
	return HANAOperationVariable_HANA_OPERATION_VARIABLE_UNSPECIFIED
}

type PacemakerFenceAgentMetric struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MetricInfo *configurablemetrics.MetricInfo `protobuf:"bytes,1,opt,name=metric_info,json=metricInfo,proto3" json:"metric_info,omitempty"`
	Value      FenceAgentVariable              `protobuf:"varint,2,opt,name=value,proto3,enum=cloud.partners.sap.gcagent.protos.wlmvalidation.FenceAgentVariable" json:"value,omitempty"`
}

func (x *PacemakerFenceAgentMetric) Reset() {
	*x = PacemakerFenceAgentMetric{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PacemakerFenceAgentMetric) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PacemakerFenceAgentMetric) ProtoMessage() {}

func (x *PacemakerFenceAgentMetric) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PacemakerFenceAgentMetric.ProtoReflect.Descriptor instead.
func (*PacemakerFenceAgentMetric) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{14}
}

func (x *PacemakerFenceAgentMetric) GetMetricInfo() *configurablemetrics.MetricInfo {
	if x != nil {
		return x.MetricInfo
	}
	return nil
}

func (x *PacemakerFenceAgentMetric) GetValue() FenceAgentVariable {
	if x != nil {
		return x.Value
	}
	return FenceAgentVariable_FENCE_AGENT_VARIABLE_UNSPECIFIED
}

type CIBBootstrapOptionMetric struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MetricInfo *configurablemetrics.MetricInfo `protobuf:"bytes,1,opt,name=metric_info,json=metricInfo,proto3" json:"metric_info,omitempty"`
	Value      CIBBootstrapOptionVariable      `protobuf:"varint,2,opt,name=value,proto3,enum=cloud.partners.sap.gcagent.protos.wlmvalidation.CIBBootstrapOptionVariable" json:"value,omitempty"`
}

func (x *CIBBootstrapOptionMetric) Reset() {
	*x = CIBBootstrapOptionMetric{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CIBBootstrapOptionMetric) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CIBBootstrapOptionMetric) ProtoMessage() {}

func (x *CIBBootstrapOptionMetric) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CIBBootstrapOptionMetric.ProtoReflect.Descriptor instead.
func (*CIBBootstrapOptionMetric) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{15}
}

func (x *CIBBootstrapOptionMetric) GetMetricInfo() *configurablemetrics.MetricInfo {
	if x != nil {
		return x.MetricInfo
	}
	return nil
}

func (x *CIBBootstrapOptionMetric) GetValue() CIBBootstrapOptionVariable {
	if x != nil {
		return x.Value
	}
	return CIBBootstrapOptionVariable_CIB_BOOTSTRAP_OPTION_VARIABLE_UNSPECIFIED
}

type ValidationCustom struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	OsCommandMetrics []*configurablemetrics.OSCommandMetric `protobuf:"bytes,1,rep,name=os_command_metrics,json=osCommandMetrics,proto3" json:"os_command_metrics,omitempty"`
}

func (x *ValidationCustom) Reset() {
	*x = ValidationCustom{}
	if protoimpl.UnsafeEnabled {
		mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ValidationCustom) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ValidationCustom) ProtoMessage() {}

func (x *ValidationCustom) ProtoReflect() protoreflect.Message {
	mi := &file_wlmvalidation_wlmvalidation_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ValidationCustom.ProtoReflect.Descriptor instead.
func (*ValidationCustom) Descriptor() ([]byte, []int) {
	return file_wlmvalidation_wlmvalidation_proto_rawDescGZIP(), []int{16}
}

func (x *ValidationCustom) GetOsCommandMetrics() []*configurablemetrics.OSCommandMetric {
	if x != nil {
		return x.OsCommandMetrics
	}
	return nil
}

var File_wlmvalidation_wlmvalidation_proto protoreflect.FileDescriptor

var file_wlmvalidation_wlmvalidation_proto_rawDesc = []byte{
	0x0a, 0x21, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f,
	0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e,
	0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x1a, 0x2d, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x62,
	0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x75, 0x72, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x22, 0xc6, 0x05, 0x0a, 0x12, 0x57, 0x6f, 0x72, 0x6b, 0x6c, 0x6f, 0x61, 0x64,
	0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x6e, 0x0a, 0x11, 0x76, 0x61,
	0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x41, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61,
	0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c,
	0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x52, 0x10, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x12, 0x74, 0x0a, 0x13, 0x76, 0x61,
	0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x63, 0x6f, 0x72, 0x6f, 0x73, 0x79, 0x6e,
	0x63, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x43, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e,
	0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76,
	0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x72, 0x6f, 0x73, 0x79, 0x6e, 0x63, 0x52, 0x12, 0x76, 0x61,
	0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x72, 0x6f, 0x73, 0x79, 0x6e, 0x63,
	0x12, 0x68, 0x0a, 0x0f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x68,
	0x61, 0x6e, 0x61, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3f, 0x2e, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67,
	0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c,
	0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x56, 0x61, 0x6c, 0x69,
	0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x48, 0x41, 0x4e, 0x41, 0x52, 0x0e, 0x76, 0x61, 0x6c, 0x69,
	0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x48, 0x61, 0x6e, 0x61, 0x12, 0x77, 0x0a, 0x14, 0x76, 0x61,
	0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6e, 0x65, 0x74, 0x77, 0x65, 0x61, 0x76,
	0x65, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x44, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d,
	0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x56, 0x61, 0x6c, 0x69, 0x64,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x65, 0x74, 0x77, 0x65, 0x61, 0x76, 0x65, 0x72, 0x52, 0x13,
	0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x65, 0x74, 0x77, 0x65, 0x61,
	0x76, 0x65, 0x72, 0x12, 0x77, 0x0a, 0x14, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x5f, 0x70, 0x61, 0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x44, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65,
	0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x2e, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x50, 0x61,
	0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72, 0x52, 0x13, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x50, 0x61, 0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72, 0x12, 0x6e, 0x0a, 0x11,
	0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x63, 0x75, 0x73, 0x74, 0x6f,
	0x6d, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x41, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e,
	0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76,
	0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x43, 0x75, 0x73, 0x74, 0x6f, 0x6d, 0x52, 0x10, 0x76, 0x61, 0x6c, 0x69,
	0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x75, 0x73, 0x74, 0x6f, 0x6d, 0x22, 0xee, 0x01, 0x0a,
	0x10, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x79, 0x73, 0x74, 0x65,
	0x6d, 0x12, 0x64, 0x0a, 0x0e, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x5f, 0x6d, 0x65, 0x74, 0x72,
	0x69, 0x63, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x3d, 0x2e, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67,
	0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c,
	0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x53, 0x79, 0x73, 0x74,
	0x65, 0x6d, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x0d, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d,
	0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x74, 0x0a, 0x12, 0x6f, 0x73, 0x5f, 0x63, 0x6f,
	0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x5f, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x18, 0x02, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x46, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74,
	0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72,
	0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x4f, 0x53, 0x43, 0x6f,
	0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x10, 0x6f, 0x73, 0x43,
	0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x22, 0xc9, 0x01,
	0x0a, 0x0c, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x12, 0x62,
	0x0a, 0x0b, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x41, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74,
	0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72,
	0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x4d, 0x65, 0x74, 0x72,
	0x69, 0x63, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x0a, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x49, 0x6e,
	0x66, 0x6f, 0x12, 0x55, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x3f, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65,
	0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x2e, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62,
	0x6c, 0x65, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x95, 0x02, 0x0a, 0x12, 0x56, 0x61,
	0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x72, 0x6f, 0x73, 0x79, 0x6e, 0x63,
	0x12, 0x1f, 0x0a, 0x0b, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x50, 0x61, 0x74,
	0x68, 0x12, 0x68, 0x0a, 0x0e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x5f, 0x6d, 0x65, 0x74, 0x72,
	0x69, 0x63, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x41, 0x2e, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67,
	0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x73, 0x2e, 0x45, 0x76, 0x61, 0x6c, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x0d, 0x63, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x74, 0x0a, 0x12, 0x6f,
	0x73, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x5f, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x46, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e,
	0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x75, 0x72, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e,
	0x4f, 0x53, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52,
	0x10, 0x6f, 0x73, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x73, 0x22, 0xf7, 0x02, 0x0a, 0x0e, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x48, 0x41, 0x4e, 0x41, 0x12, 0x6f, 0x0a, 0x12, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x5f, 0x69,
	0x6e, 0x69, 0x5f, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x41, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72,
	0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x62, 0x6c,
	0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x45, 0x76, 0x61, 0x6c, 0x4d, 0x65, 0x74,
	0x72, 0x69, 0x63, 0x52, 0x10, 0x67, 0x6c, 0x6f, 0x62, 0x61, 0x6c, 0x49, 0x6e, 0x69, 0x4d, 0x65,
	0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x7e, 0x0a, 0x18, 0x68, 0x61, 0x6e, 0x61, 0x5f, 0x64, 0x69,
	0x73, 0x6b, 0x5f, 0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x5f, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x45, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e,
	0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76,
	0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x48, 0x41, 0x4e, 0x41, 0x44, 0x69,
	0x73, 0x6b, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x15,
	0x68, 0x61, 0x6e, 0x61, 0x44, 0x69, 0x73, 0x6b, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x4d, 0x65,
	0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x74, 0x0a, 0x12, 0x6f, 0x73, 0x5f, 0x63, 0x6f, 0x6d, 0x6d,
	0x61, 0x6e, 0x64, 0x5f, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x46, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65,
	0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x62,
	0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x4f, 0x53, 0x43, 0x6f, 0x6d, 0x6d,
	0x61, 0x6e, 0x64, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x10, 0x6f, 0x73, 0x43, 0x6f, 0x6d,
	0x6d, 0x61, 0x6e, 0x64, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x22, 0x9a, 0x01, 0x0a, 0x14,
	0x48, 0x41, 0x4e, 0x41, 0x44, 0x69, 0x73, 0x6b, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x4d, 0x65,
	0x74, 0x72, 0x69, 0x63, 0x12, 0x27, 0x0a, 0x0f, 0x62, 0x61, 0x73, 0x65, 0x70, 0x61, 0x74, 0x68,
	0x5f, 0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x62,
	0x61, 0x73, 0x65, 0x70, 0x61, 0x74, 0x68, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x12, 0x59, 0x0a,
	0x07, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x3f,
	0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e,
	0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x2e, 0x48, 0x41, 0x4e, 0x41, 0x44, 0x69, 0x73, 0x6b, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52,
	0x07, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x22, 0xc9, 0x01, 0x0a, 0x0e, 0x48, 0x41, 0x4e,
	0x41, 0x44, 0x69, 0x73, 0x6b, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x12, 0x62, 0x0a, 0x0b, 0x6d,
	0x65, 0x74, 0x72, 0x69, 0x63, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x41, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72,
	0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x62, 0x6c,
	0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x49,
	0x6e, 0x66, 0x6f, 0x52, 0x0a, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x49, 0x6e, 0x66, 0x6f, 0x12,
	0x53, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x3d,
	0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e,
	0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x2e, 0x44, 0x69, 0x73, 0x6b, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x52, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x22, 0x8b, 0x01, 0x0a, 0x13, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x4e, 0x65, 0x74, 0x77, 0x65, 0x61, 0x76, 0x65, 0x72, 0x12, 0x74, 0x0a, 0x12,
	0x6f, 0x73, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x5f, 0x6d, 0x65, 0x74, 0x72, 0x69,
	0x63, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x46, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73,
	0x2e, 0x4f, 0x53, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x52, 0x10, 0x6f, 0x73, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x4d, 0x65, 0x74, 0x72, 0x69,
	0x63, 0x73, 0x22, 0x88, 0x03, 0x0a, 0x13, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x50, 0x61, 0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72, 0x12, 0x6e, 0x0a, 0x0e, 0x63, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x5f, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x47, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e,
	0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72, 0x43, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x52, 0x0d, 0x63, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x8a, 0x01, 0x0a, 0x1c, 0x63,
	0x69, 0x62, 0x5f, 0x62, 0x6f, 0x6f, 0x74, 0x73, 0x74, 0x72, 0x61, 0x70, 0x5f, 0x6f, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x5f, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x49, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65,
	0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x2e, 0x43, 0x49, 0x42, 0x42, 0x6f, 0x6f, 0x74, 0x73, 0x74, 0x72, 0x61, 0x70,
	0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x19, 0x63, 0x69,
	0x62, 0x42, 0x6f, 0x6f, 0x74, 0x73, 0x74, 0x72, 0x61, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x74, 0x0a, 0x12, 0x6f, 0x73, 0x5f, 0x63, 0x6f,
	0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x5f, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x18, 0x03, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x46, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74,
	0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72,
	0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x4f, 0x53, 0x43, 0x6f,
	0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x10, 0x6f, 0x73, 0x43,
	0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x22, 0x8a, 0x05,
	0x0a, 0x16, 0x50, 0x61, 0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x76, 0x0a, 0x11, 0x70, 0x72, 0x69, 0x6d,
	0x69, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x49, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74,
	0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72, 0x50,
	0x72, 0x69, 0x6d, 0x69, 0x74, 0x69, 0x76, 0x65, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x10,
	0x70, 0x72, 0x69, 0x6d, 0x69, 0x74, 0x69, 0x76, 0x65, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73,
	0x12, 0x7d, 0x0a, 0x14, 0x72, 0x73, 0x63, 0x5f, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x5f, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x4b,
	0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e,
	0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x2e, 0x50, 0x61, 0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72, 0x52, 0x53, 0x43, 0x4c, 0x6f, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x12, 0x72, 0x73, 0x63,
	0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12,
	0x77, 0x0a, 0x12, 0x72, 0x73, 0x63, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6d, 0x65,
	0x74, 0x72, 0x69, 0x63, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x49, 0x2e, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70,
	0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e,
	0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x61,
	0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72, 0x52, 0x53, 0x43, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x10, 0x72, 0x73, 0x63, 0x4f, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x83, 0x01, 0x0a, 0x16, 0x68, 0x61, 0x6e,
	0x61, 0x5f, 0x6f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6d, 0x65, 0x74, 0x72,
	0x69, 0x63, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x4d, 0x2e, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67,
	0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c,
	0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x63, 0x65,
	0x6d, 0x61, 0x6b, 0x65, 0x72, 0x48, 0x41, 0x4e, 0x41, 0x4f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x14, 0x68, 0x61, 0x6e, 0x61, 0x4f, 0x70,
	0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x7a,
	0x0a, 0x13, 0x66, 0x65, 0x6e, 0x63, 0x65, 0x5f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x6d, 0x65,
	0x74, 0x72, 0x69, 0x63, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x4a, 0x2e, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70,
	0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e,
	0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x61,
	0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x41, 0x67, 0x65, 0x6e,
	0x74, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x11, 0x66, 0x65, 0x6e, 0x63, 0x65, 0x41, 0x67,
	0x65, 0x6e, 0x74, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x22, 0xd8, 0x01, 0x0a, 0x18, 0x50,
	0x61, 0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72, 0x50, 0x72, 0x69, 0x6d, 0x69, 0x74, 0x69, 0x76,
	0x65, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x12, 0x62, 0x0a, 0x0b, 0x6d, 0x65, 0x74, 0x72, 0x69,
	0x63, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x41, 0x2e, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61,
	0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73,
	0x2e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74,
	0x72, 0x69, 0x63, 0x73, 0x2e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x49, 0x6e, 0x66, 0x6f, 0x52,
	0x0a, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x58, 0x0a, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x42, 0x2e, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e,
	0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77,
	0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x50, 0x72, 0x69,
	0x6d, 0x69, 0x74, 0x69, 0x76, 0x65, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x52, 0x05,
	0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0xdc, 0x01, 0x0a, 0x1a, 0x50, 0x61, 0x63, 0x65, 0x6d, 0x61,
	0x6b, 0x65, 0x72, 0x52, 0x53, 0x43, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x65,
	0x74, 0x72, 0x69, 0x63, 0x12, 0x62, 0x0a, 0x0b, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x5f, 0x69,
	0x6e, 0x66, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x41, 0x2e, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67,
	0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x73, 0x2e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x0a, 0x6d, 0x65,
	0x74, 0x72, 0x69, 0x63, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x5a, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x44, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e,
	0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76,
	0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x52, 0x53, 0x43, 0x4c, 0x6f, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x52, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x22, 0xd8, 0x01, 0x0a, 0x18, 0x50, 0x61, 0x63, 0x65, 0x6d, 0x61, 0x6b,
	0x65, 0x72, 0x52, 0x53, 0x43, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x65, 0x74, 0x72, 0x69,
	0x63, 0x12, 0x62, 0x0a, 0x0b, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x5f, 0x69, 0x6e, 0x66, 0x6f,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x41, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70,
	0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x75, 0x72, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x4d,
	0x65, 0x74, 0x72, 0x69, 0x63, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x0a, 0x6d, 0x65, 0x74, 0x72, 0x69,
	0x63, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x58, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0e, 0x32, 0x42, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72,
	0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69,
	0x64, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x52, 0x53, 0x43, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22,
	0xe0, 0x01, 0x0a, 0x1c, 0x50, 0x61, 0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72, 0x48, 0x41, 0x4e,
	0x41, 0x4f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x12, 0x62, 0x0a, 0x0b, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x41, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61,
	0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x75, 0x72, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x4d, 0x65,
	0x74, 0x72, 0x69, 0x63, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x0a, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x49, 0x6e, 0x66, 0x6f, 0x12, 0x5c, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x46, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74,
	0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x48, 0x41, 0x4e, 0x41, 0x4f, 0x70, 0x65, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x52, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x22, 0xda, 0x01, 0x0a, 0x19, 0x50, 0x61, 0x63, 0x65, 0x6d, 0x61, 0x6b, 0x65, 0x72,
	0x46, 0x65, 0x6e, 0x63, 0x65, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x12, 0x62, 0x0a, 0x0b, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x41, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61,
	0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x75, 0x72, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x4d, 0x65,
	0x74, 0x72, 0x69, 0x63, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x0a, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x49, 0x6e, 0x66, 0x6f, 0x12, 0x59, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x43, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74,
	0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x41, 0x67, 0x65, 0x6e, 0x74,
	0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22,
	0xe1, 0x01, 0x0a, 0x18, 0x43, 0x49, 0x42, 0x42, 0x6f, 0x6f, 0x74, 0x73, 0x74, 0x72, 0x61, 0x70,
	0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x12, 0x62, 0x0a, 0x0b,
	0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x41, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65,
	0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x62,
	0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x49, 0x6e, 0x66, 0x6f, 0x52, 0x0a, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x49, 0x6e, 0x66, 0x6f,
	0x12, 0x61, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32,
	0x4b, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73,
	0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x73, 0x2e, 0x77, 0x6c, 0x6d, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x2e, 0x43, 0x49, 0x42, 0x42, 0x6f, 0x6f, 0x74, 0x73, 0x74, 0x72, 0x61, 0x70, 0x4f, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x22, 0x88, 0x01, 0x0a, 0x10, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x43, 0x75, 0x73, 0x74, 0x6f, 0x6d, 0x12, 0x74, 0x0a, 0x12, 0x6f, 0x73, 0x5f, 0x63,
	0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x5f, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x18, 0x01,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x46, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x61, 0x72,
	0x74, 0x6e, 0x65, 0x72, 0x73, 0x2e, 0x73, 0x61, 0x70, 0x2e, 0x67, 0x63, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75,
	0x72, 0x61, 0x62, 0x6c, 0x65, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2e, 0x4f, 0x53, 0x43,
	0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x10, 0x6f, 0x73,
	0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x2a, 0x8d,
	0x01, 0x0a, 0x0e, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c,
	0x65, 0x12, 0x1f, 0x0a, 0x1b, 0x53, 0x59, 0x53, 0x54, 0x45, 0x4d, 0x5f, 0x56, 0x41, 0x52, 0x49,
	0x41, 0x42, 0x4c, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44,
	0x10, 0x00, 0x12, 0x11, 0x0a, 0x0d, 0x49, 0x4e, 0x53, 0x54, 0x41, 0x4e, 0x43, 0x45, 0x5f, 0x4e,
	0x41, 0x4d, 0x45, 0x10, 0x01, 0x12, 0x13, 0x0a, 0x0f, 0x4f, 0x53, 0x5f, 0x4e, 0x41, 0x4d, 0x45,
	0x5f, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x10, 0x02, 0x12, 0x0e, 0x0a, 0x0a, 0x41, 0x47,
	0x45, 0x4e, 0x54, 0x5f, 0x4e, 0x41, 0x4d, 0x45, 0x10, 0x03, 0x12, 0x11, 0x0a, 0x0d, 0x41, 0x47,
	0x45, 0x4e, 0x54, 0x5f, 0x56, 0x45, 0x52, 0x53, 0x49, 0x4f, 0x4e, 0x10, 0x04, 0x12, 0x0f, 0x0a,
	0x0b, 0x4e, 0x45, 0x54, 0x57, 0x4f, 0x52, 0x4b, 0x5f, 0x49, 0x50, 0x53, 0x10, 0x05, 0x2a, 0x59,
	0x0a, 0x0c, 0x44, 0x69, 0x73, 0x6b, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x12, 0x1d,
	0x0a, 0x19, 0x44, 0x49, 0x53, 0x4b, 0x5f, 0x56, 0x41, 0x52, 0x49, 0x41, 0x42, 0x4c, 0x45, 0x5f,
	0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x08, 0x0a,
	0x04, 0x54, 0x59, 0x50, 0x45, 0x10, 0x01, 0x12, 0x09, 0x0a, 0x05, 0x4d, 0x4f, 0x55, 0x4e, 0x54,
	0x10, 0x02, 0x12, 0x08, 0x0a, 0x04, 0x53, 0x49, 0x5a, 0x45, 0x10, 0x03, 0x12, 0x0b, 0x0a, 0x07,
	0x50, 0x44, 0x5f, 0x53, 0x49, 0x5a, 0x45, 0x10, 0x04, 0x2a, 0x93, 0x01, 0x0a, 0x11, 0x50, 0x72,
	0x69, 0x6d, 0x69, 0x74, 0x69, 0x76, 0x65, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x12,
	0x22, 0x0a, 0x1e, 0x50, 0x52, 0x49, 0x4d, 0x49, 0x54, 0x49, 0x56, 0x45, 0x5f, 0x56, 0x41, 0x52,
	0x49, 0x41, 0x42, 0x4c, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45,
	0x44, 0x10, 0x00, 0x12, 0x13, 0x0a, 0x0f, 0x50, 0x43, 0x4d, 0x4b, 0x5f, 0x44, 0x45, 0x4c, 0x41,
	0x59, 0x5f, 0x42, 0x41, 0x53, 0x45, 0x10, 0x01, 0x12, 0x12, 0x0a, 0x0e, 0x50, 0x43, 0x4d, 0x4b,
	0x5f, 0x44, 0x45, 0x4c, 0x41, 0x59, 0x5f, 0x4d, 0x41, 0x58, 0x10, 0x02, 0x12, 0x18, 0x0a, 0x14,
	0x50, 0x43, 0x4d, 0x4b, 0x5f, 0x4d, 0x4f, 0x4e, 0x49, 0x54, 0x4f, 0x52, 0x5f, 0x52, 0x45, 0x54,
	0x52, 0x49, 0x45, 0x53, 0x10, 0x03, 0x12, 0x17, 0x0a, 0x13, 0x50, 0x43, 0x4d, 0x4b, 0x5f, 0x52,
	0x45, 0x42, 0x4f, 0x4f, 0x54, 0x5f, 0x54, 0x49, 0x4d, 0x45, 0x4f, 0x55, 0x54, 0x10, 0x04, 0x2a,
	0x59, 0x0a, 0x13, 0x52, 0x53, 0x43, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x56, 0x61,
	0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x12, 0x25, 0x0a, 0x21, 0x52, 0x53, 0x43, 0x5f, 0x4c, 0x4f,
	0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x56, 0x41, 0x52, 0x49, 0x41, 0x42, 0x4c, 0x45, 0x5f,
	0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x1b, 0x0a,
	0x17, 0x4c, 0x4f, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x50, 0x52, 0x45, 0x46, 0x45, 0x52,
	0x45, 0x4e, 0x43, 0x45, 0x5f, 0x53, 0x45, 0x54, 0x10, 0x01, 0x2a, 0x6a, 0x0a, 0x11, 0x52, 0x53,
	0x43, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x12,
	0x23, 0x0a, 0x1f, 0x52, 0x53, 0x43, 0x5f, 0x4f, 0x50, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x56, 0x41,
	0x52, 0x49, 0x41, 0x42, 0x4c, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49,
	0x45, 0x44, 0x10, 0x00, 0x12, 0x17, 0x0a, 0x13, 0x4d, 0x49, 0x47, 0x52, 0x41, 0x54, 0x49, 0x4f,
	0x4e, 0x5f, 0x54, 0x48, 0x52, 0x45, 0x53, 0x48, 0x4f, 0x4c, 0x44, 0x10, 0x01, 0x12, 0x17, 0x0a,
	0x13, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f, 0x53, 0x54, 0x49, 0x43, 0x4b, 0x49,
	0x4e, 0x45, 0x53, 0x53, 0x10, 0x02, 0x2a, 0xae, 0x01, 0x0a, 0x15, 0x48, 0x41, 0x4e, 0x41, 0x4f,
	0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65,
	0x12, 0x27, 0x0a, 0x23, 0x48, 0x41, 0x4e, 0x41, 0x5f, 0x4f, 0x50, 0x45, 0x52, 0x41, 0x54, 0x49,
	0x4f, 0x4e, 0x5f, 0x56, 0x41, 0x52, 0x49, 0x41, 0x42, 0x4c, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50,
	0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x19, 0x0a, 0x15, 0x53, 0x41, 0x50,
	0x48, 0x41, 0x4e, 0x41, 0x5f, 0x53, 0x54, 0x41, 0x52, 0x54, 0x5f, 0x54, 0x49, 0x4d, 0x45, 0x4f,
	0x55, 0x54, 0x10, 0x01, 0x12, 0x18, 0x0a, 0x14, 0x53, 0x41, 0x50, 0x48, 0x41, 0x4e, 0x41, 0x5f,
	0x53, 0x54, 0x4f, 0x50, 0x5f, 0x54, 0x49, 0x4d, 0x45, 0x4f, 0x55, 0x54, 0x10, 0x02, 0x12, 0x1b,
	0x0a, 0x17, 0x53, 0x41, 0x50, 0x48, 0x41, 0x4e, 0x41, 0x5f, 0x50, 0x52, 0x4f, 0x4d, 0x4f, 0x54,
	0x45, 0x5f, 0x54, 0x49, 0x4d, 0x45, 0x4f, 0x55, 0x54, 0x10, 0x03, 0x12, 0x1a, 0x0a, 0x16, 0x53,
	0x41, 0x50, 0x48, 0x41, 0x4e, 0x41, 0x5f, 0x44, 0x45, 0x4d, 0x4f, 0x54, 0x45, 0x5f, 0x54, 0x49,
	0x4d, 0x45, 0x4f, 0x55, 0x54, 0x10, 0x04, 0x2a, 0x7b, 0x0a, 0x12, 0x46, 0x65, 0x6e, 0x63, 0x65,
	0x41, 0x67, 0x65, 0x6e, 0x74, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x12, 0x24, 0x0a,
	0x20, 0x46, 0x45, 0x4e, 0x43, 0x45, 0x5f, 0x41, 0x47, 0x45, 0x4e, 0x54, 0x5f, 0x56, 0x41, 0x52,
	0x49, 0x41, 0x42, 0x4c, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45,
	0x44, 0x10, 0x00, 0x12, 0x0f, 0x0a, 0x0b, 0x46, 0x45, 0x4e, 0x43, 0x45, 0x5f, 0x41, 0x47, 0x45,
	0x4e, 0x54, 0x10, 0x01, 0x12, 0x16, 0x0a, 0x12, 0x43, 0x4f, 0x4d, 0x50, 0x55, 0x54, 0x45, 0x5f,
	0x41, 0x50, 0x49, 0x5f, 0x41, 0x43, 0x43, 0x45, 0x53, 0x53, 0x10, 0x02, 0x12, 0x16, 0x0a, 0x12,
	0x4c, 0x4f, 0x47, 0x47, 0x49, 0x4e, 0x47, 0x5f, 0x41, 0x50, 0x49, 0x5f, 0x41, 0x43, 0x43, 0x45,
	0x53, 0x53, 0x10, 0x03, 0x2a, 0x68, 0x0a, 0x1a, 0x43, 0x49, 0x42, 0x42, 0x6f, 0x6f, 0x74, 0x73,
	0x74, 0x72, 0x61, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62,
	0x6c, 0x65, 0x12, 0x2d, 0x0a, 0x29, 0x43, 0x49, 0x42, 0x5f, 0x42, 0x4f, 0x4f, 0x54, 0x53, 0x54,
	0x52, 0x41, 0x50, 0x5f, 0x4f, 0x50, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x56, 0x41, 0x52, 0x49, 0x41,
	0x42, 0x4c, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10,
	0x00, 0x12, 0x1b, 0x0a, 0x17, 0x4d, 0x41, 0x49, 0x4e, 0x54, 0x45, 0x4e, 0x41, 0x4e, 0x43, 0x45,
	0x5f, 0x4d, 0x4f, 0x44, 0x45, 0x5f, 0x41, 0x43, 0x54, 0x49, 0x56, 0x45, 0x10, 0x01, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_wlmvalidation_wlmvalidation_proto_rawDescOnce sync.Once
	file_wlmvalidation_wlmvalidation_proto_rawDescData = file_wlmvalidation_wlmvalidation_proto_rawDesc
)

func file_wlmvalidation_wlmvalidation_proto_rawDescGZIP() []byte {
	file_wlmvalidation_wlmvalidation_proto_rawDescOnce.Do(func() {
		file_wlmvalidation_wlmvalidation_proto_rawDescData = protoimpl.X.CompressGZIP(file_wlmvalidation_wlmvalidation_proto_rawDescData)
	})
	return file_wlmvalidation_wlmvalidation_proto_rawDescData
}

var file_wlmvalidation_wlmvalidation_proto_enumTypes = make([]protoimpl.EnumInfo, 8)
var file_wlmvalidation_wlmvalidation_proto_msgTypes = make([]protoimpl.MessageInfo, 17)
var file_wlmvalidation_wlmvalidation_proto_goTypes = []interface{}{
	(SystemVariable)(0),                         // 0: cloud.partners.sap.gcagent.protos.wlmvalidation.SystemVariable
	(DiskVariable)(0),                           // 1: cloud.partners.sap.gcagent.protos.wlmvalidation.DiskVariable
	(PrimitiveVariable)(0),                      // 2: cloud.partners.sap.gcagent.protos.wlmvalidation.PrimitiveVariable
	(RSCLocationVariable)(0),                    // 3: cloud.partners.sap.gcagent.protos.wlmvalidation.RSCLocationVariable
	(RSCOptionVariable)(0),                      // 4: cloud.partners.sap.gcagent.protos.wlmvalidation.RSCOptionVariable
	(HANAOperationVariable)(0),                  // 5: cloud.partners.sap.gcagent.protos.wlmvalidation.HANAOperationVariable
	(FenceAgentVariable)(0),                     // 6: cloud.partners.sap.gcagent.protos.wlmvalidation.FenceAgentVariable
	(CIBBootstrapOptionVariable)(0),             // 7: cloud.partners.sap.gcagent.protos.wlmvalidation.CIBBootstrapOptionVariable
	(*WorkloadValidation)(nil),                  // 8: cloud.partners.sap.gcagent.protos.wlmvalidation.WorkloadValidation
	(*ValidationSystem)(nil),                    // 9: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationSystem
	(*SystemMetric)(nil),                        // 10: cloud.partners.sap.gcagent.protos.wlmvalidation.SystemMetric
	(*ValidationCorosync)(nil),                  // 11: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationCorosync
	(*ValidationHANA)(nil),                      // 12: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationHANA
	(*HANADiskVolumeMetric)(nil),                // 13: cloud.partners.sap.gcagent.protos.wlmvalidation.HANADiskVolumeMetric
	(*HANADiskMetric)(nil),                      // 14: cloud.partners.sap.gcagent.protos.wlmvalidation.HANADiskMetric
	(*ValidationNetweaver)(nil),                 // 15: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationNetweaver
	(*ValidationPacemaker)(nil),                 // 16: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationPacemaker
	(*PacemakerConfigMetrics)(nil),              // 17: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerConfigMetrics
	(*PacemakerPrimitiveMetric)(nil),            // 18: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerPrimitiveMetric
	(*PacemakerRSCLocationMetric)(nil),          // 19: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerRSCLocationMetric
	(*PacemakerRSCOptionMetric)(nil),            // 20: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerRSCOptionMetric
	(*PacemakerHANAOperationMetric)(nil),        // 21: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerHANAOperationMetric
	(*PacemakerFenceAgentMetric)(nil),           // 22: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerFenceAgentMetric
	(*CIBBootstrapOptionMetric)(nil),            // 23: cloud.partners.sap.gcagent.protos.wlmvalidation.CIBBootstrapOptionMetric
	(*ValidationCustom)(nil),                    // 24: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationCustom
	(*configurablemetrics.OSCommandMetric)(nil), // 25: cloud.partners.sap.gcagent.protos.configurablemetrics.OSCommandMetric
	(*configurablemetrics.MetricInfo)(nil),      // 26: cloud.partners.sap.gcagent.protos.configurablemetrics.MetricInfo
	(*configurablemetrics.EvalMetric)(nil),      // 27: cloud.partners.sap.gcagent.protos.configurablemetrics.EvalMetric
}
var file_wlmvalidation_wlmvalidation_proto_depIdxs = []int32{
	9,  // 0: cloud.partners.sap.gcagent.protos.wlmvalidation.WorkloadValidation.validation_system:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationSystem
	11, // 1: cloud.partners.sap.gcagent.protos.wlmvalidation.WorkloadValidation.validation_corosync:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationCorosync
	12, // 2: cloud.partners.sap.gcagent.protos.wlmvalidation.WorkloadValidation.validation_hana:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationHANA
	15, // 3: cloud.partners.sap.gcagent.protos.wlmvalidation.WorkloadValidation.validation_netweaver:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationNetweaver
	16, // 4: cloud.partners.sap.gcagent.protos.wlmvalidation.WorkloadValidation.validation_pacemaker:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationPacemaker
	24, // 5: cloud.partners.sap.gcagent.protos.wlmvalidation.WorkloadValidation.validation_custom:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationCustom
	10, // 6: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationSystem.system_metrics:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.SystemMetric
	25, // 7: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationSystem.os_command_metrics:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.OSCommandMetric
	26, // 8: cloud.partners.sap.gcagent.protos.wlmvalidation.SystemMetric.metric_info:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.MetricInfo
	0,  // 9: cloud.partners.sap.gcagent.protos.wlmvalidation.SystemMetric.value:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.SystemVariable
	27, // 10: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationCorosync.config_metrics:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.EvalMetric
	25, // 11: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationCorosync.os_command_metrics:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.OSCommandMetric
	27, // 12: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationHANA.global_ini_metrics:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.EvalMetric
	13, // 13: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationHANA.hana_disk_volume_metrics:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.HANADiskVolumeMetric
	25, // 14: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationHANA.os_command_metrics:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.OSCommandMetric
	14, // 15: cloud.partners.sap.gcagent.protos.wlmvalidation.HANADiskVolumeMetric.metrics:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.HANADiskMetric
	26, // 16: cloud.partners.sap.gcagent.protos.wlmvalidation.HANADiskMetric.metric_info:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.MetricInfo
	1,  // 17: cloud.partners.sap.gcagent.protos.wlmvalidation.HANADiskMetric.value:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.DiskVariable
	25, // 18: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationNetweaver.os_command_metrics:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.OSCommandMetric
	17, // 19: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationPacemaker.config_metrics:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerConfigMetrics
	23, // 20: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationPacemaker.cib_bootstrap_option_metrics:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.CIBBootstrapOptionMetric
	25, // 21: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationPacemaker.os_command_metrics:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.OSCommandMetric
	18, // 22: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerConfigMetrics.primitive_metrics:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerPrimitiveMetric
	19, // 23: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerConfigMetrics.rsc_location_metrics:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerRSCLocationMetric
	20, // 24: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerConfigMetrics.rsc_option_metrics:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerRSCOptionMetric
	21, // 25: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerConfigMetrics.hana_operation_metrics:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerHANAOperationMetric
	22, // 26: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerConfigMetrics.fence_agent_metrics:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerFenceAgentMetric
	26, // 27: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerPrimitiveMetric.metric_info:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.MetricInfo
	2,  // 28: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerPrimitiveMetric.value:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.PrimitiveVariable
	26, // 29: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerRSCLocationMetric.metric_info:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.MetricInfo
	3,  // 30: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerRSCLocationMetric.value:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.RSCLocationVariable
	26, // 31: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerRSCOptionMetric.metric_info:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.MetricInfo
	4,  // 32: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerRSCOptionMetric.value:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.RSCOptionVariable
	26, // 33: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerHANAOperationMetric.metric_info:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.MetricInfo
	5,  // 34: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerHANAOperationMetric.value:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.HANAOperationVariable
	26, // 35: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerFenceAgentMetric.metric_info:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.MetricInfo
	6,  // 36: cloud.partners.sap.gcagent.protos.wlmvalidation.PacemakerFenceAgentMetric.value:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.FenceAgentVariable
	26, // 37: cloud.partners.sap.gcagent.protos.wlmvalidation.CIBBootstrapOptionMetric.metric_info:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.MetricInfo
	7,  // 38: cloud.partners.sap.gcagent.protos.wlmvalidation.CIBBootstrapOptionMetric.value:type_name -> cloud.partners.sap.gcagent.protos.wlmvalidation.CIBBootstrapOptionVariable
	25, // 39: cloud.partners.sap.gcagent.protos.wlmvalidation.ValidationCustom.os_command_metrics:type_name -> cloud.partners.sap.gcagent.protos.configurablemetrics.OSCommandMetric
	40, // [40:40] is the sub-list for method output_type
	40, // [40:40] is the sub-list for method input_type
	40, // [40:40] is the sub-list for extension type_name
	40, // [40:40] is the sub-list for extension extendee
	0,  // [0:40] is the sub-list for field type_name
}

func init() { file_wlmvalidation_wlmvalidation_proto_init() }
func file_wlmvalidation_wlmvalidation_proto_init() {
	if File_wlmvalidation_wlmvalidation_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_wlmvalidation_wlmvalidation_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WorkloadValidation); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ValidationSystem); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SystemMetric); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ValidationCorosync); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ValidationHANA); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HANADiskVolumeMetric); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HANADiskMetric); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ValidationNetweaver); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ValidationPacemaker); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PacemakerConfigMetrics); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PacemakerPrimitiveMetric); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PacemakerRSCLocationMetric); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PacemakerRSCOptionMetric); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PacemakerHANAOperationMetric); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PacemakerFenceAgentMetric); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CIBBootstrapOptionMetric); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_wlmvalidation_wlmvalidation_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ValidationCustom); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_wlmvalidation_wlmvalidation_proto_rawDesc,
			NumEnums:      8,
			NumMessages:   17,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_wlmvalidation_wlmvalidation_proto_goTypes,
		DependencyIndexes: file_wlmvalidation_wlmvalidation_proto_depIdxs,
		EnumInfos:         file_wlmvalidation_wlmvalidation_proto_enumTypes,
		MessageInfos:      file_wlmvalidation_wlmvalidation_proto_msgTypes,
	}.Build()
	File_wlmvalidation_wlmvalidation_proto = out.File
	file_wlmvalidation_wlmvalidation_proto_rawDesc = nil
	file_wlmvalidation_wlmvalidation_proto_goTypes = nil
	file_wlmvalidation_wlmvalidation_proto_depIdxs = nil
}
